XmSelectionBoxGetChild(3)

NAME
XmSelectionBoxGetChild — A SelectionBox function that is used to access a component

SYNOPSIS

#include <Xm/SelectioB.h>
Widget XmSelectionBoxGetChild(
Widget widget,
unsigned char child);

DESCRIPTION

XmSelectionBoxGetChild is used to access a component within a SelectionBox. The parameters given to the function are the SelectionBox widget and a value indicating which component to access.

NOTE: This routine is obsolete and exists for compatibility with previous releases. Instead of calling XmSelectionBoxGetChild, you should call XtNameToWidget as described in the XmSelectionBox(3) reference page.

widget
    Specifies the SelectionBox widget ID.

child
    Specifies a component within the SelectionBox. The following values are legal for this parameter:

    •   XmDIALOG_APPLY_BUTTON

    •   XmDIALOG_CANCEL_BUTTON

    •   XmDIALOG_DEFAULT_BUTTON

    •   XmDIALOG_HELP_BUTTON

    •   XmDIALOG_LIST

    •   XmDIALOG_LIST_LABEL

    •   XmDIALOG_OK_BUTTON

    •   XmDIALOG_SELECTION_LABEL

    •   XmDIALOG_SEPARATOR

    •   XmDIALOG_TEXT

    •   XmDIALOG_WORK_AREA

For a complete definition of SelectionBox and its associated resources, see XmSelectionBox(3).

RETURN

Returns the widget ID of the specified SelectionBox component. An application should not assume that the returned widget will be of any particular class.

RELATED

XmSelectionBox(3).